# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:58:48 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	KeyboardDistance
Summary:	String::KeyboardDistance - String Comparison Algorithm
Summary(pl):	String::KeyboardDistance - algorytm porwnywania acuchw
Name:		perl-String-KeyboardDistance
Version:	1.01
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implemements a version of keyboard distance for fuzzy
string matching. Keyboard distance is a measure of the physical
distance between two keys on a keyboard. For example, 'g' has a
distance of 1 from the keys 'r', 't', 'y', 'f', 'h', 'v', 'b', and
'n'. Immediate diagonals (like 'r', 'y', 'v', and 'n') are considered
to have a distance of 1 instead of 1.414 to help to prevent
horizontal/vertical bias.

%description -l pl
Ten modu jest implementacj pewnej wersji odlegoci klawiaturowej
do rozmytego dopasowywania acuchw. Odlego klawiaturowa to miara
fizycznej odlegoci pomidzy dwoma klawiszami na klawiaturze. Na
przykad, 'g' ma odlego 1 od klawiszy 'r', 't', 'y', 'f', 'h', 'v',
'b' i 'n'. Dla bezporednich ssiadw po przektnej (jak 'r', 'y', 'v'
i 'n') uznaje si odlego 1 zamiast 1.414, aby zapobiec skonnociom
poziomym i pionowym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-KeyboardDistance.spec,v $
Revision 1.4.2.1  2003/03/13 00:58:48  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:25  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
